// This may look like C code, but it is really -*- C++ -*-
// Outils de manipulation des PIDrawer  R. Ansari 06/98
// LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA

#ifndef PIAXESTOOLS_H_SEEN
#define PIAXESTOOLS_H_SEEN

#include "pisysdep.h"
#include PISTDWDG_H
#include PIOPTMENU_H
#include PIWIN_H
#include PIAPP_H
#include "piscdrawwdg.h"

// ---------- fenetre de dialogue pour modifs limites et attributs d'axe ----------
// --------------------------------------------------------------------------------


class PIAxesTools : public PIWindow 
{
public :
  PIAxesTools(PIApplication* par);
  ~PIAxesTools();
  virtual void  Show();

  static PIAxesTools* curlutw;
  static void ShowPIAxesTools();
  static void HidePIAxesTools();
  static void SetCurrentScDrawWdg(PIScDrawWdg* csw);
  static PIScDrawWdg* GetCurrentScDrawWdg();

protected:
  virtual void  UpdateAxesInfoFromScWdg();
  virtual void  SetAxes(bool refr);
  virtual void  Process(PIMessage msg, PIMsgHandler* sender, void* data=NULL);

private:
// Pour changer les axes
  PILabel* mLab[2];
  PIButton* mBut[8];
  PIText* mText[2];
  PICheckBox* mCkb[8];
  PIOptMenu * mOpt;
  unsigned short mTypAction;
  double mSclAction;

  static PIScDrawWdg* curscdwdg;
  static PIAxesTools* cwaxet;
};

#endif
